pandoc-3.7.0.2: Conversion between markup formats

Copyright | Copyright (C) 2011-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.Native

Description

Conversion of a string representation of a pandoc type (`Pandoc`, `[Block]`, `Block`, `[Inline]`, or `Inline`) to a `Pandoc` document.

Synopsis

- readNative :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc

# Documentation

readNative :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc #

Read native formatted text and return a Pandoc document. The input may be a full pandoc document, a block list, a block, an inline list, or an inline. Thus, for example,

    Str "hi"

will be treated as if it were

    Pandoc nullMeta [Plain [Str "hi"]]